package com.dowerx.quack;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import com.google.firebase.auth.FirebaseAuth;

public class MainActivity extends AppCompatActivity {

    private FirebaseAuth fbs;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });

        fbs = FirebaseAuth.getInstance();
    }

    public void login(View view) {
        String email = String.valueOf(((EditText)findViewById(R.id.email)).getText());
        String password = String.valueOf(((EditText)findViewById(R.id.password)).getText());

        if (email.isEmpty() || password.isEmpty())
            return;

        fbs.signInWithEmailAndPassword(email, password).addOnCompleteListener(this, task -> {
            if (task.isSuccessful()) {
                startActivity(new Intent(this, SwitcherActivity.class));
            } else {
                Toast toast = new Toast(this);
                toast.setText("login failed");
                toast.setDuration(Toast.LENGTH_LONG);
                toast.show();
            }
        });
    }

    public void redirect_register(View view) {
        startActivity(new Intent(this, RegisterActivity.class));
    }
}